version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: n8n_server_1
      APP_PORT: 5678
      # Эти конечные точки веб-перехватчиков защищены с помощью базовой аутентификации или аутентификации по заголовку.
      # Подробности здесь: https://docs.n8n.io/integrations/builtin/core-nodes/n8n-nodes-base.webhook/
      PROXY_AUTH_WHITELIST: "/webhook-test/*,/webhook/*"

  server:
    image: n8nio/n8n:2.14.2@sha256:4f448824ec99e1160e49eeb1c5bf2130a5d244fe9029e871a9f4d9f126dbfc98
    restart: on-failure
    volumes:
      - ${APP_DATA_DIR}/data:/home/node/.n8n
    stop_grace_period: 1m
    environment:
      - PUID=1000
      - PGID=1000
      # Используется для установки URL-адреса редактора, REST API и веб-хуков.
      - N8N_HOST=$DEVICE_DOMAIN_NAME
      - N8N_SECURE_COOKIE=false
      - N8N_DIAGNOSTICS_ENABLED=false
      - N8N_ENFORCE_SETTINGS_FILE_PERMISSIONS=true
      - N8N_RUNNERS_ENABLED=true
